
@import "../../style/miam.scss";

.miam-recipe-catalog__searchbar {
  display: flex;
  width: 532px;
  height: 48px;
  background: var(--m-color-white);
  border: 1px solid #CCCCCC;
  border-radius: 4px;
  font-size: 16px;

  .miam-recipe-catalog__searchbar__input {
    border: transparent;
    width: 484px;
    margin-left: 16px;
  }

  .miam-recipe-catalog__searchbar__input:focus {
    outline: transparent;
  }

  .miam-recipe-catalog__searchbar__icon {
    margin: 16px;
    cursor: pointer;
  }
  
}
.miam-recipe-catalog {
  display: flex;
  justify-content: space-between;
  width: 100%;

  .miam-recipe-catalog__filters {
    position: relative;
    left: 0px;
    top: 0px;
    width: 216px;
    height: 900px;
    border-right: solid 1px #e9e9e9;
    padding: 16px;

    .miam-recipe-catalog__filters__title {
      margin: 8px 0;
      font-weight: bold;
      font-size: 17px;
      line-height: 20px;
      
    }

    .miam-recipe-catalog__filters__choice {
      margin: 8px 0;
      display: flex;
      height: 20px;
      &::first-letter {
        text-transform: capitalize;
      }

      input {
        height: 20px;
        width: 20px;
        margin: 0 12px 0 0;
      }
    }

    .miam-recipe-catalog__filters__remove {
      margin: 16px 0;
      text-align: center;
    }
  
    .miam-recipe-catalog__filters__separator {
      width: 174px;
      height: 1px;
      background-color: #e9e9e9;
      margin: 16px 0;
    }
  }

  .miam-recipe-catalog__categories {
    display: flex;
    flex-direction: column;
    width: calc(100% - 216px);
  }

  .miam-recipe-catalog__list {
    width: calc(100% - 216px);

    .miam-recipe-catalog__return { // TODO: temporary, move to catalog header
      display: flex;
      width: 150px;
      font-size: 22px;
      font-weight: bold;
      color: var(--m-color-grey-text);
      justify-content: flex-start;
      align-items: center;
      cursor: pointer;

      .icon-container {
        transform: rotate(90deg);
      }
    }
  }
}
